Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask
Class TaskModel

    java.lang.Object
      edu.wpi.cetask.TaskModel

    public class TaskModel

extends Object

Field Summary
`protected TaskEngine` | `engine` Task recognizer in which DOM resides
`protected Node` | `node` Node in DOM
`static XPath` | `XPATH`

Method Summary
`String` | `getNamespace()`
`List<Script>` | `getScripts()`
`TaskClass` | `getTaskClass(String id)`
`protected QName` | `parseQName(String qname)`
`TaskClass` | `resolveTaskClass(String qname)`
`String` | `toString()`
`protected String` | `xpath(String path)`
`protected Object` | `xpath(String path, QName returnType)`
`protected List<Node>` | `xpathNodes(String path)`
`protected List<String>` | `xpathValues(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### node

    protected final Node node

  Node in DOM

### engine

    protected final TaskEngine engine

  Task recognizer in which DOM resides

### XPATH

    public static final XPath XPATH

Method Detail

### getTaskClass

    public TaskClass getTaskClass(String id)

### getScripts

    public List<Script> getScripts()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getNamespace

    public String getNamespace()

### resolveTaskClass

    public TaskClass resolveTaskClass(String qname)

### xpath

    protected Object xpath(String path,
                           QName returnType)

### xpath

    protected String xpath(String path)

### xpathValues

    protected List<String> xpathValues(String path)

### xpathNodes

    protected List<Node> xpathNodes(String path)

### parseQName

    protected QName parseQName(String qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD